org.apache.tinkerpop.gremlin.driver

## Class Channelizer.NioChannelizer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer
    - - org.apache.tinkerpop.gremlin.driver.Channelizer.NioChannelizer

- All Implemented Interfaces:
    Channelizer
  Enclosing interface:
    Channelizer

      public static final class Channelizer.NioChannelizer
      extends Channelizer.AbstractChannelizer

  NIO `Channelizer` implementation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `Channelizer.AbstractChannelizer, Channelizer.NioChannelizer, Channelizer.WebSocketChannelizer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `cluster, connection, PIPELINE_GREMLIN_HANDLER, PIPELINE_GREMLIN_SASL_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioChannelizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ChannelPipeline pipeline)`
    `void` | `init(org.apache.tinkerpop.gremlin.driver.Connection connection)` Initializes the `Channelizer`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `close, finalize, initChannel, supportsSsl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `connected, createKeepAliveMessage, supportsKeepAlive`

- - ### Constructor Detail

    - #### NioChannelizer

          public NioChannelizer()

  - ### Method Detail

    - #### init

          public void init(org.apache.tinkerpop.gremlin.driver.Connection connection)

      Description copied from interface: `Channelizer`
      Initializes the `Channelizer`. Called just after construction.
      Specified by:
        `init` in interface `Channelizer`
      Overrides:
        `init` in class `Channelizer.AbstractChannelizer`

    - #### configure

          public void configure(ChannelPipeline pipeline)

      Specified by:
        `configure` in class `Channelizer.AbstractChannelizer`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.